Package org.fife.ui.rtextarea

## Class RTextAreaBase.RTAMouseListener

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.CaretEvent
    - - org.fife.ui.rtextarea.RTextAreaBase.RTAMouseListener

- All Implemented Interfaces:
    `FocusListener`, `MouseListener`, `MouseMotionListener`, `Serializable`, `EventListener`
  Direct Known Subclasses:
    `RTextArea.RTextAreaMutableCaretEvent`
  Enclosing class:
    RTextAreaBase

      protected class RTextAreaBase.RTAMouseListener
      extends CaretEvent
      implements MouseListener, MouseMotionListener, FocusListener

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `dot` |
    `protected int` | `mark` |

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `focusGained​(FocusEvent e)` |
    `void` | `focusLost​(FocusEvent e)` |
    `int` | `getDot()` |
    `int` | `getMark()` |
    `void` | `mouseClicked​(MouseEvent e)` |
    `void` | `mouseDragged​(MouseEvent e)` |
    `void` | `mouseEntered​(MouseEvent e)` |
    `void` | `mouseExited​(MouseEvent e)` |
    `void` | `mouseMoved​(MouseEvent e)` |
    `void` | `mousePressed​(MouseEvent e)` |
    `void` | `mouseReleased​(MouseEvent e)` |

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dot

          protected int dot

    - #### mark

          protected int mark

  - ### Method Detail

    - #### focusGained

          public void focusGained​(FocusEvent e)

      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost​(FocusEvent e)

      Specified by:
        `focusLost` in interface `FocusListener`

    - #### mouseDragged

          public void mouseDragged​(MouseEvent e)

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`

    - #### mouseMoved

          public void mouseMoved​(MouseEvent e)

      Specified by:
        `mouseMoved` in interface `MouseMotionListener`

    - #### mouseClicked

          public void mouseClicked​(MouseEvent e)

      Specified by:
        `mouseClicked` in interface `MouseListener`

    - #### mousePressed

          public void mousePressed​(MouseEvent e)

      Specified by:
        `mousePressed` in interface `MouseListener`

    - #### mouseReleased

          public void mouseReleased​(MouseEvent e)

      Specified by:
        `mouseReleased` in interface `MouseListener`

    - #### mouseEntered

          public void mouseEntered​(MouseEvent e)

      Specified by:
        `mouseEntered` in interface `MouseListener`

    - #### mouseExited

          public void mouseExited​(MouseEvent e)

      Specified by:
        `mouseExited` in interface `MouseListener`

    - #### getDot

          public int getDot()

      Specified by:
        `getDot` in class `CaretEvent`

    - #### getMark

          public int getMark()

      Specified by:
        `getMark` in class `CaretEvent`